Delete employee absences

Use this request to delete one or more absence records by their IDs. Non-existent IDs are ignored without errors.

DELETE

https://api.tracker.yandex.net/v3/gaps?gapIds=<absence_ID>

Request format

Before making the request, get access to the API.

You need Administrator rights to run this request.

To delete absence records, use an HTTP request with the DELETE method. Specify the record IDs in the request parameters.

DELETE /v3/gaps?gapIds=<absence_ID>
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>
Headers
  • Host: address of the node that provides the API.

  • Authorization: Authorization token about these formats:

    • OAuth <OAuth_token>: For authorization using the OAuth 2.0 protocol. Learn more

    • Bearer <IAM_token>: For authorization using an IAM token, if a Yandex Identity Hub organization is linked to Tracker. Learn more

  • X-Org-ID or X-Cloud-Org-ID: Organization ID.

    • Use the X-Org-ID header if a Tracker organization is linked to Yandex 360 for Business.

    • Use the X-Cloud-Org-ID header if a Tracker organization is linked to Yandex Identity Hub.

    To get the organization ID, go to Administration → Organizations and copy the value from the ID field.

Request parameters

Required parameters

Parameter Description Data type
gapIds IDs of the absence records to delete. You can pass multiple values separated by commas. The maximum number is 100, and the length of each ID must not exceed 128 characters Array of strings

Example: Delete multiple absence records

  • Uses the DELETE HTTP method.
  • Deletes two records with IDs 68340a1f2b4c1a3d5e7f9011 and 68340a1f2b4c1a3d5e7f9012.
DELETE /v3/gaps?gapIds=68340a1f2b4c1a3d5e7f9011,68340a1f2b4c1a3d5e7f9012
Host: api.tracker.yandex.net
Authorization: OAuth y0__xAbc******
X-Org-ID: 1234******

Response format

If the request is successful, the API returns a response with code 204.

The response body is missing.

If the request wasn't successfully processed, the API returns a response with an error code:

401
The user is not authorized. Make sure that actions described in the API access section are performed.
403
You are not authorized to perform this action. You can check what rights you have in the Tracker interface. The same rights are required to perform an action via the API and interface.
422
JSON validation error, the request is rejected.

The 422 code is returned in the following cases:

  • The number of passed IDs exceeds 100.
  • The length of one of the IDs exceeds 128 characters.
500
Internal service error. Try again later.